weka.gui.knowledgeflow

## Interface StepInteractiveViewer

- All Known Implementing Classes:
    AttributeSummarizerInteractiveView, BaseInteractiveViewer, BoundaryPlotterInteractiveView, CostBenefitAnalysisInteractiveView, DataVisualizerInteractiveView, GraphViewerInteractiveView, ImageViewerInteractiveView, ModelPerformanceChartInteractiveView, ScatterPlotMatrixInteractiveView, StripChartInteractiveView, TextViewerInteractiveView

      public interface StepInteractiveViewer

  Interface for GUI interactive viewer components that can be popped up from the contextual menu in the Knowledge Flow that appears when you right-click over a step on the layout.
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MainKFPerspective` | `getMainKFPerspective()` Get the main knowledge flow perspective.
    `Settings` | `getSettings()` Get the settings object
    `java.lang.String` | `getViewerName()` Get the name of this viewer
    `void` | `init()` Initialize this viewer.
    `void` | `nowVisible()` Called by the KnowledgeFlow application once the enclosing JFrame is visible
    `void` | `setMainKFPerspective(MainKFPerspective perspective)` Set the main knowledge flow perspective.
    `void` | `setParentWindow(java.awt.Window parent)` Set the parent window for this viewer
    `void` | `setStep(Step theStep)` Set the step that owns this viewer.

- - ### Method Detail

    - #### setStep

          void setStep(Step theStep)

      Set the step that owns this viewer. Implementations may want to access data that has been computed by the step in question.
      Parameters:
        `theStep` - the step that owns this viewer

    - #### setMainKFPerspective

          void setMainKFPerspective(MainKFPerspective perspective)

      Set the main knowledge flow perspective. Implementations can then access application settings if necessary
      Parameters:
        `perspective` - the main knowledge flow perspective

    - #### getMainKFPerspective

          MainKFPerspective getMainKFPerspective()

      Get the main knowledge flow perspective. Implementations can the access application settings if necessary
      Returns:

    - #### getViewerName

          java.lang.String getViewerName()

      Get the name of this viewer
      Returns:
        the name of this viewer

    - #### setParentWindow

          void setParentWindow(java.awt.Window parent)

      Set the parent window for this viewer
      Parameters:
        `parent` - the parent window

    - #### getSettings

          Settings getSettings()

      Get the settings object
      Returns:
        the settings object

    - #### init

          void init()
             throws WekaException

      Initialize this viewer. The KnowledgeFlow application will call this method after constructing the viewer and after calling setStep() and setParentWindow(). Implementers will typically layout their view in this method (rather than a constructor)
      Throws:
        `WekaException` - if the initialization fails

    - #### nowVisible

          void nowVisible()

      Called by the KnowledgeFlow application once the enclosing JFrame is visible